> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/customs-catalog-api/classifications.md).

# Classifications

## GET /api/v2/Classifications

> Returns a list of products

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32"},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32"},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32"},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32"},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc."},"results":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto"},"description":"Gets or sets the results.","nullable":true}},"additionalProperties":false,"description":""},"Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto":{"type":"object","properties":{"classificationId":{"type":"string","description":"Classification Id","nullable":true},"classificationCode":{"type":"string","description":"ClassificationCode","nullable":true},"classificationDesc":{"type":"string","description":"ClassificationDesc holds the description of Chapter+Section+SubSection","nullable":true}},"additionalProperties":false,"description":"Classification Dto"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications":{"get":{"tags":["Classifications"],"summary":"Returns a list of products","operationId":"api/v2/Classifications_GET","parameters":[{"name":"RegionCode","in":"query","description":"RegionCode","schema":{"type":"string"}},{"name":"PageNumber","in":"query","description":"The page number to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"The size of the page to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"OrderByField","in":"query","description":"The field to be used to order the results","schema":{"type":"string"}},{"name":"IsOrderByAsc","in":"query","description":"The field to be used to sort the results","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/Classifications

> Returns a list of products

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion":{"type":"object","properties":{"classificationCode":{"type":"string","description":"Classification Code","nullable":true},"previousClassificationCode":{"type":"string","description":"PreviousClassification Code","nullable":true},"regionCode":{"type":"string","description":"Region Code","nullable":true},"mfnDuty":{"type":"number","description":"MFN Duty","format":"double"},"generalDuty":{"type":"number","description":"General duty","format":"double"},"additionalDuty":{"type":"number","description":"Additional duty","format":"double"},"classificationId":{"type":"string","description":"ClassificationId","nullable":true},"vatBandId":{"type":"integer","description":"Vat Band Id","format":"int32"},"vatPercentageRate":{"type":"number","description":"VatPercentageRate","format":"double"},"id":{"type":"string","description":"id - cosmos internal id","nullable":true},"lastModifiedBy":{"type":"string","description":"LastModifiedBy","nullable":true}},"additionalProperties":false,"description":"Classification HsCode Region"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications":{"post":{"tags":["Classifications"],"summary":"Returns a list of products","operationId":"api/v2/Classifications_POST","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}}}},"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Classifications/Report

> Get a Classifications file by brand

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/Report":{"get":{"tags":["Classifications"],"summary":"Get a Classifications file by brand","operationId":"api/v2/Classifications/Report_GET","parameters":[{"name":"tenantCode","in":"query","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}}
```

## GET /api/v2/Classifications/{id}/Regions

> Returns a list of products

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion":{"type":"object","properties":{"classificationCode":{"type":"string","description":"Classification Code","nullable":true},"previousClassificationCode":{"type":"string","description":"PreviousClassification Code","nullable":true},"regionCode":{"type":"string","description":"Region Code","nullable":true},"mfnDuty":{"type":"number","description":"MFN Duty","format":"double"},"generalDuty":{"type":"number","description":"General duty","format":"double"},"additionalDuty":{"type":"number","description":"Additional duty","format":"double"},"classificationId":{"type":"string","description":"ClassificationId","nullable":true},"vatBandId":{"type":"integer","description":"Vat Band Id","format":"int32"},"vatPercentageRate":{"type":"number","description":"VatPercentageRate","format":"double"},"id":{"type":"string","description":"id - cosmos internal id","nullable":true},"lastModifiedBy":{"type":"string","description":"LastModifiedBy","nullable":true}},"additionalProperties":false,"description":"Classification HsCode Region"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/{id}/Regions":{"get":{"tags":["Classifications"],"summary":"Returns a list of products","operationId":"api/v2/Classifications/{id}/Regions_GET","parameters":[{"name":"id","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/Classifications/regions/save

> Saves a classifications regions

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion":{"type":"object","properties":{"classificationCode":{"type":"string","description":"Classification Code","nullable":true},"previousClassificationCode":{"type":"string","description":"PreviousClassification Code","nullable":true},"regionCode":{"type":"string","description":"Region Code","nullable":true},"mfnDuty":{"type":"number","description":"MFN Duty","format":"double"},"generalDuty":{"type":"number","description":"General duty","format":"double"},"additionalDuty":{"type":"number","description":"Additional duty","format":"double"},"classificationId":{"type":"string","description":"ClassificationId","nullable":true},"vatBandId":{"type":"integer","description":"Vat Band Id","format":"int32"},"vatPercentageRate":{"type":"number","description":"VatPercentageRate","format":"double"},"id":{"type":"string","description":"id - cosmos internal id","nullable":true},"lastModifiedBy":{"type":"string","description":"LastModifiedBy","nullable":true}},"additionalProperties":false,"description":"Classification HsCode Region"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/regions/save":{"post":{"tags":["Classifications"],"summary":"Saves a classifications regions","operationId":"api/v2/Classifications/regions/save_POST","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationRegion"}}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Classifications/Chapters

> Get all Chapters

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Domain.Chapter":{"type":"object","properties":{"id":{"type":"string","description":"Internal Cosmos ID","nullable":true},"timestamp":{"type":"string","description":"Internal Cosmos timestamp.","format":"date-time","readOnly":true},"eTag":{"type":"string","description":"Internal Cosmos ETag","nullable":true,"readOnly":true},"lastModifiedDateTime":{"type":"string","description":"LastModifiedDate of the record. Will serialize the Timestamp field to a DateTime across the API.","format":"date-time","readOnly":true},"modifiedBy":{"type":"string","description":"Modified By","nullable":true},"correlationId":{"type":"string","description":"Correlation Id","nullable":true},"traceContext":{"type":"string","description":"TraceContext","nullable":true},"name":{"type":"string","description":"Chapter name","nullable":true},"code":{"type":"string","description":"Chapter code","nullable":true}},"additionalProperties":false,"description":"Chapter mapping"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/Chapters":{"get":{"tags":["Classifications"],"summary":"Get all Chapters","operationId":"api/v2/Classifications/Chapters_GET","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.Chapter"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.Chapter"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.Chapter"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Classifications/Section

> Get Section list by chapter code

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Domain.Section":{"type":"object","properties":{"id":{"type":"string","description":"Internal Cosmos ID","nullable":true},"timestamp":{"type":"string","description":"Internal Cosmos timestamp.","format":"date-time","readOnly":true},"eTag":{"type":"string","description":"Internal Cosmos ETag","nullable":true,"readOnly":true},"lastModifiedDateTime":{"type":"string","description":"LastModifiedDate of the record. Will serialize the Timestamp field to a DateTime across the API.","format":"date-time","readOnly":true},"modifiedBy":{"type":"string","description":"Modified By","nullable":true},"correlationId":{"type":"string","description":"Correlation Id","nullable":true},"traceContext":{"type":"string","description":"TraceContext","nullable":true},"chapterCode":{"type":"string","description":"Chapter code","nullable":true},"name":{"type":"string","description":"SubMenuOne name","nullable":true},"code":{"type":"string","description":"SubMenuOne code","nullable":true}},"additionalProperties":false,"description":"Section mapping"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/Section":{"get":{"tags":["Classifications"],"summary":"Get Section list by chapter code","operationId":"api/v2/Classifications/Section_GET","parameters":[{"name":"chapterCode","in":"query","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.Section"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.Section"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.Section"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Classifications/SubSection

> Get SubSection list by chapter code and Section code

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Domain.SubSection":{"type":"object","properties":{"id":{"type":"string","description":"Internal Cosmos ID","nullable":true},"timestamp":{"type":"string","description":"Internal Cosmos timestamp.","format":"date-time","readOnly":true},"eTag":{"type":"string","description":"Internal Cosmos ETag","nullable":true,"readOnly":true},"lastModifiedDateTime":{"type":"string","description":"LastModifiedDate of the record. Will serialize the Timestamp field to a DateTime across the API.","format":"date-time","readOnly":true},"modifiedBy":{"type":"string","description":"Modified By","nullable":true},"correlationId":{"type":"string","description":"Correlation Id","nullable":true},"traceContext":{"type":"string","description":"TraceContext","nullable":true},"parentCode":{"type":"string","description":"Parent code holds ChapterCode + SectionCode","nullable":true,"readOnly":true},"chapterCode":{"type":"string","description":"Chapter Id","nullable":true},"sectionCode":{"type":"string","description":"Section Id","nullable":true},"name":{"type":"string","description":"SubSection name","nullable":true},"code":{"type":"string","description":"SubSection code","nullable":true}},"additionalProperties":false,"description":"SubSection mapping"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/SubSection":{"get":{"tags":["Classifications"],"summary":"Get SubSection list by chapter code and Section code","operationId":"api/v2/Classifications/SubSection_GET","parameters":[{"name":"chapterCode","in":"query","description":"","schema":{"type":"string"}},{"name":"sectionCode","in":"query","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.SubSection"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.SubSection"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.SubSection"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Classifications/ChapterClassifications

> Returns a list of Classifications

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32"},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32"},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32"},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32"},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc."},"results":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto"},"description":"Gets or sets the results.","nullable":true}},"additionalProperties":false,"description":""},"Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto":{"type":"object","properties":{"classificationId":{"type":"string","description":"Classification Id","nullable":true},"classificationCode":{"type":"string","description":"ClassificationCode","nullable":true},"classificationDesc":{"type":"string","description":"ClassificationDesc holds the description of Chapter+Section+SubSection","nullable":true}},"additionalProperties":false,"description":"Classification Dto"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/ChapterClassifications":{"get":{"tags":["Classifications"],"summary":"Returns a list of Classifications","operationId":"api/v2/Classifications/ChapterClassifications_GET","parameters":[{"name":"RegionCode","in":"query","description":"RegionCode","schema":{"type":"string"}},{"name":"ChapterCode","in":"query","description":"ChapterCode","schema":{"type":"string"}},{"name":"SectionCode","in":"query","description":"SectionCode","schema":{"type":"string"}},{"name":"SubSectionCode","in":"query","description":"SubSectionCode","schema":{"type":"string"}},{"name":"ClassificationCode","in":"query","description":"ClassificationCode","schema":{"type":"string"}},{"name":"PageNumber","in":"query","description":"The page number to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"The size of the page to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"OrderByField","in":"query","description":"The field to be used to order the results","schema":{"type":"string"}},{"name":"IsOrderByAsc","in":"query","description":"The field to be used to sort the results","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/Classifications/LoadChapterClassifications

> Returns a list of Classifications

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.GetClassificationsRequest":{"type":"object","properties":{"regionCode":{"type":"string","description":"Gets or sets region code.","nullable":true},"chapterCode":{"type":"string","description":"Gets or sets chapter code.","nullable":true},"sectionCode":{"type":"string","description":"Gets or sets section code.","nullable":true},"subSectionCode":{"type":"string","description":"Gets or sets sub section code.","nullable":true},"classificationCode":{"type":"string","description":"Gets or sets classification code.","nullable":true},"takeCount":{"type":"integer","description":"Gets or sets value indicating whether number of items to be retreived.","format":"int32"},"continuationToken":{"type":"string","description":"Gets or sets search continuatino token.","nullable":true}},"additionalProperties":false,"description":"Represents classification get request model."},"Customs.Catalog.Domain.Pkg.Models.Paging.ContinuedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto"},"description":"Gets items.","nullable":true},"hasMoreResults":{"type":"boolean","description":"Gets or sets value indicating whether source has more results."},"continuationToken":{"type":"string","description":"Gets continuation token.","nullable":true}},"additionalProperties":false,"description":"Represents continued result model."},"Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto":{"type":"object","properties":{"classificationId":{"type":"string","description":"Classification Id","nullable":true},"classificationCode":{"type":"string","description":"ClassificationCode","nullable":true},"classificationDesc":{"type":"string","description":"ClassificationDesc holds the description of Chapter+Section+SubSection","nullable":true}},"additionalProperties":false,"description":"Classification Dto"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/LoadChapterClassifications":{"post":{"tags":["Classifications"],"summary":"Returns a list of Classifications","operationId":"api/v2/Classifications/LoadChapterClassifications_POST","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.GetClassificationsRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.GetClassificationsRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.GetClassificationsRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.GetClassificationsRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.ContinuedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.ContinuedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.ContinuedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/Classifications/BulkUpload

> Uploads Classification BulkUpload file to SftpSettings folder.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse":{"type":"object","properties":{"numberOfRowsProcessed":{"type":"integer","description":"Gets or sets the number of rows processed.","format":"int32"},"messages":{"type":"array","items":{"type":"string"},"description":"Messages","nullable":true},"errors":{"type":"array","items":{"type":"string"},"description":"Errors","nullable":true},"fileName":{"type":"string","description":"Gets or sets the name of the file.","nullable":true},"success":{"type":"boolean","description":"Gets or sets the Success of the file import processing."}},"additionalProperties":false,"description":"The model to respond the import requests with"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/BulkUpload":{"post":{"tags":["Classifications"],"summary":"Uploads Classification BulkUpload file to SftpSettings folder.","operationId":"api/v2/Classifications/BulkUpload_POST","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Classifications/ExportClassification/{classificationId}

> Extract CSV for a Classification group

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Classifications/ExportClassification/{classificationId}":{"get":{"tags":["Classifications"],"summary":"Extract CSV for a Classification group","operationId":"api/v2/Classifications/ExportClassification/{classificationId}_GET","parameters":[{"name":"classificationId","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}},"text/json":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/customs-catalog-api/classifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
